using SqlSugar;
using System;

namespace DeviceRepair.Models.SFC
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("UserInfo")]
    public class UserInfoInfo
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Id", IsIdentity = true)]
        public int Id { get; set; }

        /// <summary>
        /// 用户唯一标识 
        ///</summary>
        [SugarColumn(ColumnName = "GUID", IsPrimaryKey = true)]
        public Guid Guid { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "UserCode")]
        public string UserCode { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "UserName")]
        public string UserName { get; set; }

        /// <summary>
        /// 用户类型（预留)：‘0’:域用户‘1’：SFC自建账号‘2’：ERP账号‘3’：其他 
        ///</summary>
        [SugarColumn(ColumnName = "UserType")]
        public string UserType { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Dept")]
        public string Dept { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "EMail")]
        public string EMail { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Tel")]
        public string Tel { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Image")]
        public string Image { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Password")]
        public string Password { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Status")]
        public string Status { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreateBy")]
        public string CreateBy { get; set; }

        /// <summary>
        ///  
        /// 默认值: (getdate())
        ///</summary>
        [SugarColumn(ColumnName = "CreateOn")]
        public DateTime CreateOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyBy")]
        public string ModifyBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyOn")]
        public DateTime? ModifyOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "LastLoginTime")]
        public DateTime? LastLoginTime { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "LastLogoutTime")]
        public DateTime? LastLogoutTime { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "LastPwdAlterTime")]
        public DateTime? LastPwdAlterTime { get; set; }

        /// <summary>
        /// 用户所属组织（预留） 
        ///</summary>
        [SugarColumn(ColumnName = "Org")]
        public string Org { get; set; }

        /// <summary>
        /// 备注 
        ///</summary>
        [SugarColumn(ColumnName = "Note")]
        public string Note { get; set; }

        /// <summary>
        ///  
        /// 默认值: ('N')
        ///</summary>
        [SugarColumn(ColumnName = "PwdFirstAltered")]
        public string PwdFirstAltered { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "IDCard")]
        public string IDCard { get; set; }

    }
}
